#!/bin/bash

#SBATCH --job-name=center_v3
#SBATCH --gpus=quadro_rtx_6000:1
#SBATCH --time=04:00:00
#SBATCH --mem-per-cpu=50G

module load gcc/8.2.0 python_gpu/3.9.9

torchrun -m training.main_mask_prompt_tuning \
    --with-mask \
    --model ViT-L-14 \
    --mask-emb-depth 3 \
    --pretrained  ./logs/2024_02_27-12_14_03-mask_prompt_tuning-model_ViT-L-14-lr_0.05-b_32-j_4-p_amp/checkpoints/epoch_11.pt \
    --kitti360-val ../openclip_data/kitti360/kitti_360_val